%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           python-recaptcha-client
Version:        2.0.0
Release:        1%{?dist}
Summary:        Python module for reCAPTCHA and reCAPTCHA Mailhide

Group:          Development/Languages
License:        MIT
Source0:        https://github.com/redhat-infosec/python-recaptcha/releases/download/%{version}/python-recaptcha-%{version}.tar.gz
URL:            https://github.com/redhat-infosec/python-recaptcha

BuildArch:      noarch

%if 0%{?fedora}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%else
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%endif

%global _description\
Provides a CAPTCHA for Python using the reCAPTCHA service. Does not require\
any imaging libraries because the CAPTCHA is served directly from reCAPTCHA.\
Also allows you to securely obfuscate emails with Mailhide. This functionality\
requires python-crypto. This library requires two types of API keys. If you'd\
like to use the CAPTCHA, you'll need a key from\
https://www.google.com/recaptcha/admin#list. For Mailhide, you'll need a key from\
https://www.google.com/recaptcha/mailhide/apikey.

%description %_description

%package -n python2-recaptcha-client
Summary: %summary
Obsoletes: python-recaptcha-client <= 1.0.6
%if 0%{?fedora} || 0%{?rhel} >= 7
Requires: python2-crypto
Requires: python2-simplejson
%else
Requires: python-simplejson
Requires: python-crypto
%endif
%{?python_provide:%python_provide python2-recaptcha-client}

%description -n python2-recaptcha-client %_description

%prep
%autosetup -n python-recaptcha-%{version}

%build
%py2_build

%install
%py2_install

%files -n python2-recaptcha-client
%defattr(-,root,root,-)
%doc PKG-INFO
%license LICENSE
%{python_sitelib}/recaptcha/
%{python_sitelib}/recaptcha_client*-nspkg.pth
%{python_sitelib}/recaptcha_client*.egg-info/

%changelog
* Mon Feb 26 2018 Andrea Veri <averi@fedoraproject.org> - 2.0.0-1
- Upstream got forked into https://github.com/redhat-infosec/python-recaptcha.
- reCAPTCHA v2 support landed.
- Major package cleanup (URLs, descriptions, RPM targets)

* Mon Mar 24 2014 Stephen Gallagher <sgallagh@redhat.com> 1.0.6-4
- New upstream release 1.0.6
- Enhancements to setup.py build-system
- Drop Fedora-specific build hacks

* Fri Jun 18 2010 Stephen Gallagher <sgallagh@redhat.com> 1.0.5-3.1
- Rebuilt for EPEL6

* Fri Mar 12 2010 Stephen Gallagher <sgallagh@redhat.com> 1.0.5-3
- First release for EPEL5

* Thu Mar 11 2010 Stephen Gallagher <sgallagh@redhat.com> 1.0.5-2
- Conditionally define python_sitelib
- Remove CFLAGS from the build step (unneeded)
- Remove useless comment from %%files
- Update summary

* Tue Mar 09 2010 Stephen Gallagher <sgallagh@redhat.com> 1.0.5-1
- Specfile changes from package review

* Mon Dec 21 2009 Stephen Gallagher <sgallagh@redhat.com> 1.0.5-0
- First release
